//
//  RFIDController.h
//  RFID
//
//  Created by Phidgets on 2015-07-17.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface RFIDController : NSObject <NSApplicationDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetRFIDHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Tag Read
    IBOutlet NSBox *readBox;
    IBOutlet NSTextField *readTagStringText;
    IBOutlet NSTextField *readProtocolText;
    IBOutlet NSButton *antennaEnabledCheck;
    //Tag Write
    IBOutlet NSBox *writeBox;
    IBOutlet NSTextField *writeTagStringText;
    IBOutlet NSPopUpButton *writeProtocolCombo;
    IBOutlet NSButton *lockCheck;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
